Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78442 - kernel 2.4.20-2.2BOOT doesn't support my 3ware
Summary: kernel 2.4.20-2.2BOOT doesn't support my 3ware
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-22 22:24 UTC by hjl
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:14 UTC


Attachments (Terms of Use)

Description hjl 2002-11-22 22:24:52 UTC
The 3ware driver in kernel 2.4.19-0.pp15BOOT
doesn't work with my 3ware card. RedHat 7.1,
7.3 and 8.0 are ok. 7.2 has the similar problem.
The working one, 2.4.18-18.7.x, has

3ware Storage Controller device driver for Linux v1.02.00.025.
PCI: Found IRQ 11 for device 01:08.0
PCI: Sharing IRQ 11 with 00:01.0
scsi0 : Found a 3ware Storage Controller at 0xdfa0, IRQ: 11, P-chip: 8.2
3w-xxxx: scsi0: Command failed: status = 0xc1, flags = 0x15, unit #0.
scsi0 : 3ware Storage Controller
  Vendor: 3ware     Model: 3w-xxxx           Rev: 1.0 
  Type:   Direct-Access                      ANSI SCSI revision: 00

Comment 1 hjl 2003-01-02 21:33:59 UTC
The problem is

                        /* Tell the firmware we support shutdown notification*/
                        error = tw_setfeature(tw_dev2, 2, 1, &c);
                        if (error) {
                                printk(KERN_WARNING "3w-xxxx: tw_setfeature():
Error setting features for card %d.\n", j);
                                if (error) {
                                        scsi_unregister(host);
                                       
release_region((tw_dev->tw_pci_dev->resource[0].start), TW_IO_ADDRESS_RANGE);
                                        tw_free_device_extension(tw_dev);
                                        kfree(tw_dev);
                                        numcards--;
                                        continue;
                                }
                        }

The old driver used to ignore the error.


Comment 2 Ben LaHaise 2003-01-02 23:01:53 UTC
Have you updated the firmware on the card?

Comment 3 hjl 2003-01-02 23:49:19 UTC
After upgrading to the new firmware, I can install beta3
now.

Comment 4 Bugzilla owner 2004-09-30 15:40:14 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.